# ContractWithAbiDto

## Properties

|Name | Type | Description | Notes|
|------------ | ------------- | ------------- | -------------|
|**contractAddress** | **string** | The address of the contract | [default to undefined]|
|**baseAssetId** | **string** | The blockchain base assetId | [default to undefined]|
|**name** | **string** | The name of the contract | [default to undefined]|
|**abi** | [**Array&lt;AbiFunction&gt;**](AbiFunction.md) | The ABI of the contract | [default to undefined]|
|**isPublic** | **boolean** | Whether the contract ABI is public | [default to undefined]|
|**isProxy** | **boolean** | Whether the contract is a proxy contract | [optional] [default to undefined]|
|**implementation** | **string** | The implementation contract address | [optional] [default to undefined]|




[[Back to top]](#) [[Back to API list]](../../README.md#documentation-for-api-endpoints) [[Back to Model list]](../../README.md#documentation-for-models) [[Back to README]](../../README.md)
